<!DOCTYPE html>
<html lang="">
<head>
    <meta charset="utf-8">
    <title></title>
    <meta name="author" content="">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" integrity="sha512-SnH5WK+bZxgPHs44uWIX+LLJAJ9/2PkPKZ5QiAj6Ta86w+fsb2TkcmfRyVX3pBnMFcV7oQPJkl9QevSCWr3W6A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link href="css/style.css" rel="stylesheet">
</head>

<body>

    <div class="container">
        <h2 class="py-3 text-center" style="color: #0f0f0f; font-weight: 600">Exercise Tracker</h2>

        <div class="row gx-5">

            <div class="col-4 d-flex flex-column justify-content-start align-content-start user-form-wrapper">
                    <h4 class="py-3">Add User</h4>
                    <form id="userForm" onsubmit="">
                        <div class="form-floating mb-3">
                            <input type="text" class="form-control" id="usernameInput" placeholder="Username" required/>
                            <label for="usernameInput">Username</label>
                        </div>
                        <button class="btn btn-success" type="submit">Submit</button>
                    </form>
                <hr class="my-4">
                    <h4 class="py-3">Add Exercise</h4>
                    <form id="exerciseForm" onsubmit="">
                        <div class="mb-3 form-floating">
                            <input type="text" class="form-control" id="idInput" placeholder="Id" required/>
                            <label class="m" for="idInput">Id</label>
                        </div>
                        <div class="mb-3 form-floating">
                            <input type="text" class="form-control" id="descriptionInput" placeholder="Description" required/>
                            <label for="descriptionInput">Description</label>
                        </div>
                        <div class="mb-3 form-floating">
                            <input type="number" class="form-control" id="durationsInput" placeholder="Duration" required/>
                            <label for="durationsInput">Duration</label>
                        </div>
                        <div class="mb-3 form-floating">
                            <input type="date" class="form-control" id="dateInput"/>
                            <label for="dateInput">Date</label>
                        </div>
                        <button class="btn btn-success" type="submit">Submit</button>
                    </form>

            </div>

            <div class="col-8 table-wrapper">
                <h4 class="py-3">Users</h4>
                <div class="table-scroll">
                    <table class="table table-striped table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Username</th>
                            <th>Log</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody id="userTable" class="overflow-scroll">

                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>

    <div id="modal" class="exercise-modal-overlay">
        <div class="exercise-modal bg-light p-5 rounded border">
            <div class="user-details">
                <p>UserId: <b><span id="modal-userid"></span></b></p>
                <p>Username: <b><span id="modal-username"></span></b></p>
                <p>Count: <b><span id="modal-usercount"></span></b></p>
            </div>
            <table class="table table-hover logs">
                <thead>
                    <tr>
                        <th>Description</th>
                        <th>Duration</th>
                        <th>Date</th>
                    </tr>
                </thead>
                <tbody id="modal-logs" class="log-entries">

                </tbody>
            </table>
        </div>

    </div>

    <script src="js/script.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
</body>

</html>